com.collabnet.ce.soap60.webservices.monitoring

## Class MonitoringAppSoapStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.monitoring.MonitoringAppSoapStub

- All Implemented Interfaces:
    IMonitoringAppSoap

      public class MonitoringAppSoapStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapStub
      implements IMonitoringAppSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonitoringAppSoapStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.collabnet.ce.soap60.types.SoapNamedValues` | `getApplicationMonitoringNotificationPreferences(String sessionId, String projectId)` Gets current user's application level monitoring notification preferences for the spcified project
    `int` | `getMonitoringNotificationPreference(String sessionId)` Gets monitoring notification preference for current user
    `MonitoringSubscriptionSoapDO` | `getMonitoringSubscription(String sessionId, String objectId)` Gets the current user's subscription data on the specified object.
    `MonitoringSubscriptionSoapList` | `getMonitoringSubscriptions(String sessionId, com.collabnet.ce.soap60.types.SoapFilter[] filters)` Gets the list of current user's subscriptions optionally filtered by the specified filters
    `boolean` | `isMonitoring(String sessionId, String objectId)` Gets whether the specified object is being monitored by current user or not.
    `boolean` | `isUserMonitoring(String sessionId, String userName, String objectId)` Gets whether the specified object is being monitored by the given user name or not.
    `MonitoringUserSoapList` | `listMonitoringUsers(String sessionId, String objectId)` Gets the list of users monitoring the specified object.
    `void` | `setApplicationMonitoringNotificationPreferences(String sessionId, String projectId, com.collabnet.ce.soap60.types.SoapNamedValues appPreferences)` Sets current user's application level monitoring notification preferences for the specified project
    `void` | `setMonitoringNotificationPreference(String sessionId, int preference)` Sets monitoring notification preference for current user.
    `void` | `startMonitoring(String sessionId, String objectId)` Starts monitoring the specified object for current user
    `void` | `startMonitoringByUser(String sessionId, String userName, String objectId)` Starts monitoring the specified object for the given user
    `void` | `stopMonitoring(String sessionId, String objectId)` Stops monitoring the specified object for current user.
    `void` | `stopMonitoringByUser(String sessionId, String userName, String objectId)` Stops monitoring the specified object for the given user.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MonitoringAppSoapStub

          public MonitoringAppSoapStub(String soapServerUrl)

  - ### Method Detail

    - #### isMonitoring

          public boolean isMonitoring(String sessionId,
                                      String objectId)
                               throws RemoteException

      Description copied from interface: `IMonitoringAppSoap`
      Gets whether the specified object is being monitored by current user or not.
      Specified by:
        `isMonitoring` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - the object id for which we are doing the check
      Returns:
        whether the current user is monitoring the specified object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### isUserMonitoring

          public boolean isUserMonitoring(String sessionId,
                                          String userName,
                                          String objectId)
                                   throws RemoteException

      Description copied from interface: `IMonitoringAppSoap`
      Gets whether the specified object is being monitored by the given user name or not.
      Specified by:
        `isUserMonitoring` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - the object id for which we are doing the check
      Returns:
        whether the specified user is monitoring the specified object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when userName isn't the current user, and current user can't view the object.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the specified userName is invalid.
        `RemoteException`

    - #### stopMonitoring

          public void stopMonitoring(String sessionId,
                                     String objectId)
                              throws RemoteException

      Description copied from interface: `IMonitoringAppSoap`
      Stops monitoring the specified object for current user.
      Specified by:
        `stopMonitoring` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - the object id which current user will stop monitoring
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not enough permission on the given object.
        `RemoteException`

    - #### stopMonitoringByUser

          public void stopMonitoringByUser(String sessionId,
                                           String userName,
                                           String objectId)
                                    throws RemoteException

      Description copied from interface: `IMonitoringAppSoap`
      Stops monitoring the specified object for the given user.
      Specified by:
        `stopMonitoringByUser` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `userName` - user name of the user who needs to stop monitoring
        `objectId` - the object id which the given user will stop monitoring
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when userName isn't the current user, and current user doesn't have admin perm. on the object.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the specified user name is invalid.
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - when site is configured not to allow removing users from monitoring.
        `RemoteException`

    - #### startMonitoring

          public void startMonitoring(String sessionId,
                                      String objectId)
                               throws RemoteException

      Description copied from interface: `IMonitoringAppSoap`
      Starts monitoring the specified object for current user
      Specified by:
        `startMonitoring` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - the object id which current user will start monitoring
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user can't view the object,
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### startMonitoringByUser

          public void startMonitoringByUser(String sessionId,
                                            String userName,
                                            String objectId)
                                     throws RemoteException

      Description copied from interface: `IMonitoringAppSoap`
      Starts monitoring the specified object for the given user
      Specified by:
        `startMonitoringByUser` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `userName` - user name of the user who needs to monitor
        `objectId` - the object id which the given user will start monitoring
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when userName does not have view permission on the object, when userName isn't the current user, and current user doesn't have admin perm. on the object.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the given user name is not valid.
        `RemoteException`

    - #### listMonitoringUsers

          public MonitoringUserSoapList listMonitoringUsers(String sessionId,
                                                            String objectId)
                                                     throws RemoteException

      Description copied from interface: `IMonitoringAppSoap`
      Gets the list of users monitoring the specified object.
      Specified by:
        `listMonitoringUsers` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - the object id
      Returns:
        List of users monitoring the specified object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user can't view the object.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### getMonitoringSubscriptions

          public MonitoringSubscriptionSoapList getMonitoringSubscriptions(String sessionId,
                                                                           com.collabnet.ce.soap60.types.SoapFilter[] filters)
                                                                    throws RemoteException

      Description copied from interface: `IMonitoringAppSoap`
      Gets the list of current user's subscriptions optionally filtered by the specified filters
      Specified by:
        `getMonitoringSubscriptions` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `filters` - Array of filters to apply (null to return unfiltered list).
      Returns:
        List of filtered monitoring subscriptions.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when an unsupported filter exists in the filter collection.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### getMonitoringSubscription

          public MonitoringSubscriptionSoapDO getMonitoringSubscription(String sessionId,
                                                                        String objectId)
                                                                 throws RemoteException

      Description copied from interface: `IMonitoringAppSoap`
      Gets the current user's subscription data on the specified object.
      Specified by:
        `getMonitoringSubscription` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - Id of the object
      Returns:
        The subscription data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### getMonitoringNotificationPreference

          public int getMonitoringNotificationPreference(String sessionId)
                                                  throws RemoteException

      Description copied from interface: `IMonitoringAppSoap`
      Gets monitoring notification preference for current user
      Specified by:
        `getMonitoringNotificationPreference` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
      Returns:
        Subscription type; 1:email, 2:digest, 3:none, 0 otherwise
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### setMonitoringNotificationPreference

          public void setMonitoringNotificationPreference(String sessionId,
                                                          int preference)
                                                   throws RemoteException

      Description copied from interface: `IMonitoringAppSoap`
      Sets monitoring notification preference for current user. If the new preference is invalid, this API will not change the current preference
      Specified by:
        `setMonitoringNotificationPreference` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `preference` - Integer value representing the subscription type; 1:email, 2:digest, 3:none
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### setApplicationMonitoringNotificationPreferences

          public void setApplicationMonitoringNotificationPreferences(String sessionId,
                                                                      String projectId,
                                                                      com.collabnet.ce.soap60.types.SoapNamedValues appPreferences)
                                                               throws RemoteException

      Description copied from interface: `IMonitoringAppSoap`
      Sets current user's application level monitoring notification preferences for the specified project
      Specified by:
        `setApplicationMonitoringNotificationPreferences` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `projectId` - Project id
        `appPreferences` - Application preferences.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid, when an application name is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the application preferences are invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user can view the object.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### getApplicationMonitoringNotificationPreferences

          public com.collabnet.ce.soap60.types.SoapNamedValues getApplicationMonitoringNotificationPreferences(String sessionId,
                                                                                                               String projectId)
                                                                                                        throws RemoteException

      Description copied from interface: `IMonitoringAppSoap`
      Gets current user's application level monitoring notification preferences for the spcified project
      Specified by:
        `getApplicationMonitoringNotificationPreferences` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `projectId` - Project id
      Returns:
        SoapNamedValues which includes notification preferences for project applications
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `RemoteException`

Copyright © 2020 CollabNet. All rights reserved.